Bug 47849 - EDITING: Spell & grammar check "seems" it isn't working
Summary: EDITING: Spell & grammar check "seems" it isn't working
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 48973 (view as bug list)
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2012-03-25 09:55 UTC by Wyndham Clampett
Modified: 2019-02-07 15:43 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wyndham Clampett 2012-03-25 09:55:30 UTC
Problem description: 
There is usually no indication that the process is doing anything, except when (occasionally) a "not responding" note appears in the dialog title and then the cursor changes to a busy indicator.

This issue is particularly noticeable when working on a long document, such as those with more than ten or twenty pages, and of course frustrating on documents of over one hundred pages.

Steps to reproduce:
1. Start spell check
2. Wait
3. and wait (etc)

Current behavior:
No indication that the spell & grammar check is doing anything - as noted in description

Expected behavior:
There should be some sort of indicator that something is happening. Perhaps a progress bar such as one of these: https://www.google.co.uk/search?q=progress+indicator+gif&hl=en&safe=off&prmd=imvns&tbm=isch&tbo=u&source=univ&sa=X&ei=a01vT9rKE8WM8gOv4eW_DQ&sqi=2&ved=0CDAQsAQ&biw=1374&bih=958 

Platform (if different from the browser): 

Windows 7 Pro 64-bit
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.65 Safari/535.11
Comment 1 sasha.libreoffice 2012-06-19 01:41:55 UTC
Thanks for bugreport
> This issue is particularly noticeable when working on a long document, such as
> those with more than ten or twenty pages, and of course frustrating on
This should not be noticeable. Possibly here we see regression. Some things become very slow comparing with previous version of LibreOffcie.

In any case, developers working on improving performance. LO will more quick in next year.
Comment 2 dickdelfrate 2012-08-17 14:06:49 UTC
Intentionally typing errors with "auto correct" on produces no correction. 
"""""""""""""""""""""""""""""""" then asking spell check to "check" doc, brings up spell check window which says " spell check complete" no errors found. 
Spell check worked fine on my initial use of an early version of Libre office, prior to 3.6 and 3.5.  It didn't work on 3.5 either.
Comment 3 Scott VanKirk 2012-08-17 23:54:58 UTC
This is happening on Windows 7 32bit as well
Comment 4 Scott VanKirk 2012-08-18 00:05:13 UTC
I was able to get rid of this bug by completely deleting my user data directory for Libre
Comment 5 sasha.libreoffice 2012-08-20 07:40:15 UTC
not reproduced in 3.6.0rc on Fedora 64 bit

> Intentionally typing errors with "auto correct" on produces no correction. 
> """""""""""""""""""""""""""""""" then asking spell check to "check" doc, brings
it is not a word, therefore no check. Use letter (alphabet) characters instead
Comment 6 Alan Cummings 2012-08-20 14:41:35 UTC
Version  Build ID: 350m1(Build:2)

Spellcheck does NOT function on any size of document.  

Language settings "refreshed" but did not help.

Linux Mint 13 64 Cinnamon
Comment 7 Florian Reisinger 2012-10-01 11:04:22 UTC
*** Bug 48973 has been marked as a duplicate of this bug. ***
Comment 8 Florian Reisinger 2012-10-01 11:10:44 UTC
Can reproduce it with corrupt user profile...
Comment 9 Kumāra 2013-09-23 10:19:49 UTC
(In reply to comment #2)
> Intentionally typing errors with "auto correct" on produces no correction. 
> """""""""""""""""""""""""""""""" then asking spell check to "check" doc,
> brings up spell check window which says " spell check complete" no errors
> found. 
> Spell check worked fine on my initial use of an early version of Libre
> office, prior to 3.6 and 3.5.  It didn't work on 3.5 either.

This is unrelated to the OP. Please read carefully.
Comment 10 Kumāra 2013-09-23 10:23:52 UTC
(In reply to comment #9)
> This is unrelated to the OP. Please read carefully.

This applies to comment #2-#8.
Comment 11 Kumāra 2013-09-23 10:27:11 UTC
(In reply to comment #0)
> This issue is particularly noticeable when working on a long document, such
> as those with more than ten or twenty pages, and of course frustrating on
> documents of over one hundred pages.

Are you using a new version now? If so, is it still slow for you?

FYI, I've a 70-page document, using LanguageTool extension for grammar checking. It takes a while, but not too bad.
Comment 12 QA Administrators 2015-04-01 14:42:40 UTC Comment hidden (obsolete)
Comment 13 tommy27 2016-04-16 07:25:31 UTC Comment hidden (obsolete)
Comment 14 Neo 2016-06-29 17:51:51 UTC
Guys, I know that LibreOffice is extremely complicated and I know that people are writing it for little or no compensation, however, much better quality control is needed to weed out such fundamental bugs.  I can confirm that spell check is not working on my system (latest version, Windows 8.1).  I've read about corrupt user profiles and deleting other configuration files.  This is not acceptable.  I say this as a software engineer myself. Unfortunately I've come to conclude that this software is still too immature to be a viable replacement for MS Office.  I was recently working on a document and spell check didn't work. I am beyond caring about the reasons why it fails because I am now in a position where I have to produce results. This is extremely important to me because I am trying to get my local city government to abandon MS Office and its costly licenses but the average secretary will not care why spell check doesn't work. She will simply complain to the supervisor who will say that Libreoffice is not worth the trouble and that they should switch back to MS Office. I'm on your side, but stuff like this really needs to never happen.
Comment 15 Tony Bazeley 2016-07-25 04:53:47 UTC
Spell check doesn't work for me in this version.
Have tried wiping the config files to no effect.

Installed 5.2.0.2 using snap according using the procedure at  https://skyfromme.wordpress.com/  -- spell check does not work

Installed 5.0.6.3 which has the expected behavior.

Test: open new document and enter some obvious spelling errors.
No auto spell check indicators
F7 does a spell check and reports completion with no errors detected
Comment 16 Kumāra 2016-07-31 10:20:02 UTC
(In reply to Tony Bazeley from comment #15)
> Spell check doesn't work for me in this version.
> Have tried wiping the config files to no effect.
> 
> Installed 5.2.0.2 using snap according using the procedure at 
> https://skyfromme.wordpress.com/  -- spell check does not work
> 
> Installed 5.0.6.3 which has the expected behavior.
> 
> Test: open new document and enter some obvious spelling errors.
> No auto spell check indicators
> F7 does a spell check and reports completion with no errors detected

You're not reporting correctly. Please open a new report.

Nonetheless, such a problem is usually an issue on the user side. I suggest asking for help at a LibreOffice forum.
Comment 17 clan.moore.44 2017-03-17 04:39:15 UTC
Spellcheck was working fine until current version: Version: 5.2.6.2
Build ID: 5.2.6-1
CPU Threads: 8; OS Version: Linux 4.9; UI Render: default; VCL: kde4; 
Locale: en-US (en_US.UTF-8); Calc: group.
Not working.
Comment 18 agencelivre 2017-04-07 15:46:51 UTC
Spellcheck does not work. It is sluggish - taking more than 1.5 minutes when commanded to ignore. After a couple of episodes of this behaviour I thought it was working but it is not. It only goes through the motions. Does not ignore or add to dictionary; when "correcting" it goes through the motions but makes no correction. I am uncertain as to whether the program is actually saving any changes because spellcheck made LO crash & the reopened version had no corrections/changes
Comment 19 Xisco Faulí 2017-06-12 10:53:29 UTC
Changing version back to the earliest version affected.
Comment 20 Paul 2017-07-02 04:32:49 UTC
Version: 5.3.3.2
Build ID: 1:5.3.3~rc2-0ubuntu0.16.04.1~lo0
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: en-CA (en_CA.UTF-8); Calc: group

Spell check, and auto correct not working at all. Relevant dictionaries are installed, and auto correct is enabled from the tool menu.
Comment 21 Glen 2017-11-14 02:21:25 UTC
Spell check just will not work in New Zealand English
Comment 22 QA Administrators 2018-11-15 03:44:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug